
#include <gtk/gtk.h>

#include "nm_main_dialog.h"

static void
on_clicked (GtkButton* button, gpointer user_data)
{
    GtkWidget *dialog;
    dialog = nm_main_dialog_new();

    nm_main_dialog_run(NM_MAIN_DIALOG(dialog));

    /* Free the dialog (and it's children) */
    gtk_widget_destroy(GTK_WIDGET(dialog));
}

static void
on_destroy (GtkWidget *widget, gpointer user_data)
{
    gtk_main_quit ();
}

int
main (int argc, char *argv[])
{
    GtkWidget *window;
    GtkWidget *button;

    gtk_init (&argc, &argv);
    g_thread_init (NULL);
    
    window = gtk_window_new (GTK_WINDOW_TOPLEVEL);
    g_signal_connect (window, "destroy", G_CALLBACK (on_destroy), NULL);

    button = gtk_button_new_with_label ("start");
    g_signal_connect (button, "clicked", G_CALLBACK(on_clicked), NULL);

    gtk_container_add (GTK_CONTAINER(window), button);

    gtk_widget_show_all (window);

    gtk_main ();
}
